Skip to navigation

Upsert Customs Information

Creates and updates product customs information.

This is a batch operation where the creation of multiple customs information objects can be done with one PUT request.

Limits

  • Limit of 50 customs information objects per PUT request.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
product_idintegerRequired
The product ID to which the customs information data applies.
country_of_originstringRequired

The country of manufacture, production, or growth represented in ISO 3166-1 alpha-2 format.

commodity_descriptionstringRequired0-100 characters
Description that provides information for customs to identify and verify the shapes, physical characteristics, and packaging of each shipment.
international_shippingbooleanRequired
Flag to determine whether this product will be shipped internationally.
hs_codesobjectRequired

Key-value pairs that are commonly used in the following form:

countryISO2: '/^[0-9A-Za-z]{6,14}$/'

This key-value pair represents a country and the associated hs_code that applies to that country.

You can also use the ALL key in place of an ISO2 key to specify that the hs_code applies to all countries. The ALL key can be combined with other countries in the hs_code object.

Response

OK
datalist of objectsOptional

Errors

400
Bad Request Error
413
Content Too Large Error
422
Unprocessable Entity Error